# ddbugtopbm

Updated: 21 August 2002
Table Of Contents

## NAME

ddbugtopbm - convert Diddle or DiddleBug sketches to PBM files

## SYNOPSIS

ddbugtopbm

## EXAMPLES

    ddbugtopbm </path/to/palm/backup/dir/DiddleBugDB.pdb

    ddbugtopbm </path/to/palm/backup/dir/DiddleDB.pdb

    ddbugtopbm </path/to/palm/backup/dir/DiddleIDB.pdb

## DESCRIPTION

This program is part of Netpbm.

ddbugtopbm converts all sketches present in a database used by the PalmOS programs Diddle or DiddleBug into appropriately-named PBM files. The backup copy of DiddleBug's database you should use as this program's input is usually called DiddleBugDB.pdb. Or if you use the original Diddle, it has two separate DBs - DiddleDB.pdb, containing unnamed `scratch' sketches, and DiddleIDB.pdb, containing the saved (and named) sketches which are listed by its `index' option. You can feed this program any of these three on standard input.

## OPTIONS

There are no command line options defined specifically for ddbugtopbm, but it recognizes the options common to all programs based on libnetpbm (See Common Options.)

## USING THE PROGRAM

I recommend you not run ddbugtopbm from your Palm backup directory, i.e. don't run it from the directory the DB will normally be in. Instead, run it from some other directory (perhaps you could make a directory purely to hold the PBM files, just to keep things simple) and use an absolute or relative path to the DB.

The filenames used for the output PBMs are based on the names given to each sketch; if you have an unnamed sketch, it's given a name along the lines of sketch-0123.pbm.

While the named sketches will overwrite any existing PBM file with the same name, the unnamed ones won't - they'll just try using another filename. (I think this is probably the right approach, as you can't really tell the unnamed sketches apart.)

## LIMITATIONS

The DiddleBug DB reader is only known to work with DBs from DiddleBug version 2.50. But it should probably work on later versions, and I think it'll work on DBs from version 2.15 as well.

It might fall over if fed an empty database, and doesn't do much (if any) checking of the input.

## AUTHOR

Russell Marks (rus@svgalib.org).

Mitch Blevins's decompression code is directly from DiddleBug itself, which like ddbugtopbm is distributed under the terms of the GNU GPL.

## SEE ALSO

palmtopnm, pbm

Jens-Chr. Heyer's `didcon' script does something similar.

## HISTORY

ddbugtopbm was new in Netpbm 10.18 (August 2003). It was written and independently distributed in August 2002.

## Table Of Contents

- SYNOPSIS
- EXAMPLES
- DESCRIPTION
- OPTIONS
- USING THE PROGRAM
- LIMITATIONS
- AUTHOR
- SEE ALSO
- HISTORY